<template>
  <span :style="{ backgroundColor }" class="rounded p-1 text-xs font-semibold text-white text-center">
    {{ formattedValue }}
  </span>
</template>

<script lang="ts">
import Vue from 'vue';

export default Vue.extend({
  props: {
    valueInPercent: {
      type: Number,
      default: 0
    }
  },

  computed: {
    formattedValue () {
      if (this.valueInPercent < 0) {
        return `-${Math.abs(this.valueInPercent)}%`;
      } else if (this.valueInPercent > 0) {
        return `+${this.valueInPercent}%`;
      }

      return `${this.valueInPercent}%`;
    },

    backgroundColor () {
      if (this.valueInPercent < 0) {
        return '#C81818';
      } else {
        return '#08AB1E';
      }
    }
  }
});
</script>
